import request from '@/utils/request'

// 添加后台账号
export function addAccount(data) {
  return request({
    url: '/admin/uploadadmin',
    method: 'post',
    data
  })
}

// 添加账号列表
export function getAccountList(data) {
  return request({
    url: '/admin/getadminlist',
    method: 'get',
    params: data
  })
}

// 禁用启用账号
export function changeAccountStatus(data) {
  return request({
    url: '/admin/disableadmin',
    method: 'post',
    data
  })
}

// 删除账号
export function deleteAccount(data) {
  return request({
    url: '/admin/destoryadmin',
    method: 'post',
    data
  })
}

// 修改账号
export function editAccount(data) {
  return request({
    url: '/admin/updateadmin',
    method: 'post',
    data
  })
}

